## ros-melodic-qpoases-vendor 3.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

project(qpoases_vendor)

find_package(catkin REQUIRED)

include(ExternalProject)
ExternalProject_Add(qpoases_3_2
  SVN_REPOSITORY https://projects.coin-or.org/svn/qpOASES/stable/3.2
  SVN_TRUST_CERT TRUE
  BUILD_IN_SOURCE TRUE
  INSTALL_COMMAND ""
)

ExternalProject_Get_property(qpoases_3_2 SOURCE_DIR)

set(qpOASES_CXX_LIBRARY ${SOURCE_DIR}/libs/libqpOASES.a)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES qpOASES
)

install(DIRECTORY ${SOURCE_DIR}/include/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(FILES ${qpOASES_CXX_LIBRARY}
  DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-melodic-qpoases-vendor (3.2.1-1bionic) bionic; urgency=high

  * Adding missing dependency on subversion.
  * Contributors: Joshua Whitley

 -- Geoffrey Biggs <geoff.biggs@tier4.jp>  Tue, 15 Oct 2019 05:00:00 -0000

ros-melodic-qpoases-vendor (3.2.0-1bionic) bionic; urgency=high

  * Fixing schema link for package.xml.
  * CI: Adding basic CI script.
  * Install in standard package-prefixed include dir.
  * Use CMake in qpOASES build and switch to static lib.
  * Convert to catkin package
    Signed-off-by: Geoffrey Biggs <mailto:geoff.biggs@tier4.jp>
  * Use pure CMake build
  * First pass at a vendor package shim for qpOASES
    Signed-off-by: Geoffrey Biggs <mailto:geoff.biggs@tier4.jp>
  * Initial commit
  * Contributors: Geoffrey Biggs, Joshua Whitley

 -- Geoffrey Biggs <geoff.biggs@tier4.jp>  Tue, 10 Sep 2019 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-qpoases-vendor
Section: misc
Priority: extra
Maintainer: Geoffrey Biggs <geoff.biggs@tier4.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, subversion
Homepage: https://projects.coin-or.org/qpOASES
Standards-Version: 3.9.2

Package: ros-melodic-qpoases-vendor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, subversion
Description: Wrapper around qpOASES to make it available to the ROS ecosystem.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-qpoases-vendor//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
